Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.query
Class QueryResultSet

    java.lang.Object
      com.sun.mdm.index.query.QueryResultSet

class QueryResultSet
extends java.lang.Object

This is the core class reponsible for object assembling. This iterates through JDBC ResultSet and invoke ResultObjectAssembler methods. Each of this object is holding a different instance of JDBC ResultSet. For each invocation of next(), it iterates through JDBC ResultSet until it finds the next root.

Constructor Summary
`(package private)` | `QueryResultSet(java.sql.ResultSet res, CreateObjectMeta[] createObjectList, ResultObjectAssembler valueObjectFactory, AssembleObjectState[] assObjectStates, boolean createRootFlag, int maxrows)` Creates a new instance of QueryResultSet

Method Summary
`(package private) void` | `close()`
`(package private) void` | `createCurrentObjectList(CreateObjectMeta[] createObjectList, AssembleObjectState[] assObjectStates, java.sql.ResultSet res)`
`(package private) boolean` | `equals(java.lang.Object[] values1, java.lang.Object[] values2)`
`(package private) java.lang.Object[]` | `getRootKeyValues()`
`(package private) java.lang.Object` | `next()`
`(package private) void` | `setRoot(java.lang.Object root, java.lang.Object[] rootKeyValues)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QueryResultSet

    QueryResultSet(java.sql.ResultSet res,
                   CreateObjectMeta[] createObjectList,
                   ResultObjectAssembler valueObjectFactory,
                   AssembleObjectState[] assObjectStates,
                   boolean createRootFlag,
                   int maxrows)

  Creates a new instance of QueryResultSet

  Parameters:
    `res` -
    `createObjectList` -
    `createRootFlag` -
    `assObjectStates` -

Method Detail

### close

    final void close()
              throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### createCurrentObjectList

    final void createCurrentObjectList(CreateObjectMeta[] createObjectList,
                                       AssembleObjectState[] assObjectStates,
                                       java.sql.ResultSet res)

### equals

    final boolean equals(java.lang.Object[] values1,
                         java.lang.Object[] values2)

### getRootKeyValues

    final java.lang.Object[] getRootKeyValues()

### next

    final java.lang.Object next()
                         throws java.sql.SQLException,
                                VOAException

  Throws:
    `java.sql.SQLException`
    `VOAException`

### setRoot

    final void setRoot(java.lang.Object root,
                       java.lang.Object[] rootKeyValues)

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.